#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int m,n;
    long long int broj;
    long long int nemastrazara;
    scanf("%lld",&n);
    scanf("%lld",&m);
    if(m==1 )
    {
        broj=1*n;
    }
    if(n==1)
    {
        broj=1*m;
    }
    else
    {

    nemastrazara=((m-2)*(n-2)+1)/2;

        broj=m*n-nemastrazara;
    }
    printf("%lld",broj);
    return 0;
}